package bootstrap

import (
	"wechat-conf/models"
	"wechat-conf/routers"
	"wechat-conf/utils"
)

// SystemInit 系统初始化
func SystemInit() {
	// 数据库连接
	models.InitDB()

	// 系统日志
	utils.LogInit()

	// 第三方平台
	models.ComponentInit()

	// 微信系统
	models.InitWechat()

	// 路由系统
	routers.RouteInit()
}
