package menu

import (
	"wechat-conf/controllers"
	"wechat-conf/models/model"
	"wechat-conf/service/menu"
)

// MenuController 信息
type MenuController struct {
	dao *menu.MenuServ
	controllers.BaseController
}

// Constructor 初始化 Controller
// @Title Constructor
// @Description 初始化 Controller, 系统自动调用
func (c *MenuController) Constructor() {
	c.dao = menu.NewMenuServ(c.Context)

}

func (c *MenuController) GetMenuList() {
	user := c.Context.Get("user").(*model.SysUser)
	menu, err := c.dao.GetUserMenu(user.UserType)
	if err != nil {
		c.ResponseError(err)
	}
	c.ResponseJSON(menu)
}
